Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.svcmsg
Interface DataRow

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  SvcMsgDataRow

public interface DataRow
extends java.io.Serializable

This interface is used to marshal row content between client and middle tier.

Field Summary
`static int` | `ROW_OP_DELETE` `ROW_OP_...` constants denote the operation to be performed on the row.
`static int` | `ROW_OP_INSERT` `ROW_OP_...` constants denote the operation to be performed on the row.
`static int` | `ROW_OP_UPDATE` `ROW_OP_...` constants denote the operation to be performed on the row.

Method Summary
`java.lang.Object` | `getAttribute(int attrIndex)` Returns the attribute value.
`java.lang.Object[]` | `getAttributes()` Returns all attribute values.
`int` | `getOperation()` Returns the row operation.
`void` | `setAttribute(int attrIndex, java.lang.Object value)` Sets the attribute value.

Field Detail

### ROW_OP_UPDATE

    public static final int ROW_OP_UPDATE

  `ROW_OP_...` constants denote the operation to be performed on the row.

  `ROW_OP_UPDATE` designates that the row is to be updated with the data values contains in this data row.

  See Also:
    Constant Field Values

### ROW_OP_INSERT

    public static final int ROW_OP_INSERT

  `ROW_OP_...` constants denote the operation to be performed on the row.

  `ROW_OP_UPDATE` designates that a new row is to be created and inserted with the data values contains in this data row.

  See Also:
    Constant Field Values

### ROW_OP_DELETE

    public static final int ROW_OP_DELETE

  `ROW_OP_...` constants denote the operation to be performed on the row.

  `ROW_OP_UPDATE` designates that the row is to be deleted.

  See Also:
    Constant Field Values

Method Detail

### getOperation

    public int getOperation()

  Returns the row operation.
  Returns:
    one of the `ROW_OP_...` constants or further extended operation id.

### getAttribute

    public java.lang.Object getAttribute(int attrIndex)

  Returns the attribute value.
  Parameters:
    `attrIndex` - attribute index.
  Returns:
    the attribute value.

### getAttributes

    public java.lang.Object[] getAttributes()

  Returns all attribute values.
  Returns:
    array of attribute values.

### setAttribute

    public void setAttribute(int attrIndex,
                             java.lang.Object value)

  Sets the attribute value.
  Parameters:
    `attrIndex` - attribute index.
    `value` - the new attribute value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.